> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get all your transactional email activity (unaggregated events)

GET https://api.brevo.com/v3/smtp/statistics/events

This endpoint will show the aggregated stats for past 30 days by default if `startDate` and `endDate` OR `days` is not passed. The date range can not exceed 90 days

Reference: https://developers.brevo.com/reference/get-email-event-report

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Query parameters

- `limit` (long, optional, default: 2500) — Number limitation for the result returned
- `offset` (long, optional, default: 0) — Beginning point in the list to retrieve from.
- `startDate` (string, optional) — **Mandatory if endDate is used.** Starting date of the report (YYYY-MM-DD). Must be lower than equal to endDate
- `endDate` (string, optional) — **Mandatory if startDate is used.** Ending date of the report (YYYY-MM-DD). Must be greater than equal to startDate
- `days` (long, optional) — Number of days in the past including today (positive integer, maximum 90). _Not compatible with 'startDate' and 'endDate'_. Defaults to 30 if neither dates nor days are provided.
- `email` (string, optional) — Filter the report for a specific email addresses
- `event` (enum, optional) — Filter the report for a specific event type
  - Allowed values: `bounces`, `hardBounces`, `softBounces`, `delivered`, `spam`, `requests`, `opened`, `clicks`, `invalid`, `deferred`, `blocked`, `unsubscribed`, `error`, `loadedByProxy`
- `tags` (string, optional) — Filter the report for tags (serialized and urlencoded array)
- `messageId` (string, optional) — Filter on a specific message id
- `templateId` (long, optional) — Filter on a specific template id
- `sort` (enum, optional, default: desc) — Sort the results in the ascending/descending order of record creation. Default order is **descending** if `sort` is not passed
  - Allowed values: `asc`, `desc`

## Response

### 200

Email events report informations

- `events` (list of object, optional)
  - `date` (string, required) — UTC date-time on which the event has been generated
  - `email` (string, required) — Email address which generates the event
  - `event` (enum, required) — Event which occurred
    - Allowed values: `bounces`, `hardBounces`, `softBounces`, `delivered`, `spam`, `requests`, `opened`, `clicks`, `invalid`, `deferred`, `blocked`, `unsubscribed`, `error`, `loadedByProxy`
  - `messageId` (string, required) — Message ID which generated the event
  - `from` (string, optional) — Sender email from which the emails are sent
  - `ip` (string, optional) — IP from which the user has opened the email or clicked on the link (only available if the event is opened or clicks)
  - `link` (string, optional) — The link which is sent to the user (only available if the event is requests or opened or clicks)
  - `reason` (string, optional) — Reason of bounce (only available if the event is hardbounce or softbounce)
  - `subject` (string, optional) — Subject of the event
  - `tag` (string, optional) — Tag of the email which generated the event
  - `templateId` (long, optional) — ID of the template (only available if the email is template based)

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

## Examples

**Response**

```json
{
  "events": [
    {
      "date": "2017-03-12T12:30:00Z",
      "email": "john.smith@example.com",
      "event": "deferred",
      "messageId": "<201798300811.5787683@example.domain.com>",
      "from": "john@example.com",
      "reason": "Error connection timeout",
      "tag": "OrderConfirmation",
      "templateId": 4
    },
    {
      "date": "2017-03-13T16:30:00Z",
      "email": "john.smith@example.com",
      "event": "delivered",
      "messageId": "<201798300811.5787683@example.domain.com>",
      "from": "john@example.com",
      "tag": "OrderConfirmation",
      "templateId": 5
    }
  ]
}
```

**SDK Code**

```typescript response
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.transactionalEmails.getEmailEventReport({});
}
main();

```

```python response
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.transactional_emails.get_email_event_report()

```

```php response
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\TransactionalEmails\Requests\GetEmailEventReportRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->transactionalEmails->getEmailEventReport(
    new GetEmailEventReportRequest([]),
);

```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/smtp/statistics/events"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/smtp/statistics/events")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/smtp/statistics/events")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/smtp/statistics/events");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/smtp/statistics/events")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```